from pubsub import Publisher

class DefaultZeroDict(dict):
    def __getitem__(self, item):
        return dict.get(self, item, 0)

class Basket(DefaultZeroDict):
    def isSatisfiedBy(self, basket):
        for item in self:
            if basket[item] < self[item]:
                return False
        return True
    
    def append(self, item):
        key = item.__class__
        if key in self:
            self[key] += 1
        else:
            self[key] = 1
            
        Publisher.sendMessage("basket.updated")
