import pyglet, constants

class BaseItem(pyglet.sprite.Sprite):
    NAME = None
    SHORTCUT = None
    IMAGE = None
    def __init__(self):
        pyglet.sprite.Sprite.__init__(self, self.IMAGE)
        img = self.IMAGE
        self.scale = 1.0 * constants.TILE_SIZE / self.IMAGE.height
        
    def clear(self):
        self.batch = self.group = None
        
    def acceptItem(self, item):
        return False
    
    def tick(self, dt):
        pass
    
    
class Water(BaseItem):
    NAME = "Water"
    SHORTCUT = "W"
    IMAGE = pyglet.resource.image("waterdrop.png")
    
class Hand(BaseItem):
    NAME = "Harvest"
    SHORTCUT = "H"
    IMAGE = pyglet.resource.image("hand.png")

